# gvm-tools: Remote Control of Your Greenbone Vulnerability Manager (GVM)

The Greenbone Vulnerability Management Tools, or gvm-tools in short, are a collection of tools that help with controlling a Greenbone Enterprise Appliance and Greenbone Community Edition installations remotely.

Essentially, the tools aid accessing the communication protocols Greenbone Management Protocol (GMP) and Open Scanner Protocol (OSP).

Note

gvm-tools requires at least Python 3.9.

- Installation of gvm-tools
  - Installing the Latest Stable Release of gvm-tools
    - Using pipx
    - Using pip
    - Using poetry
  - Getting the Source
- Connection Types
  - Using a Unix Domain Socket
  - Using TLS
  - Using SSH
- Provided Tools
  - gvm-cli
  - gvm-script
  - gvm-pyshell
- Configuration
  - Settings
  - Example
- Scripting
  - XML Scripting
  - GVM Scripts
  - Example Scripts
- Glossary